<?php
/*
Plugin Name: Comment Word Count
Plugin URI: http://mtdewvirus.com/code/wordpress-plugins/
Description: Outputs the total number of words in all comments.
Version: 1.02
Author: Nick Momrik
Author URI: http://mtdewvirus.com/
*/

function mdv_comment_word_count() {
    global $wpdb;
	$words = $wpdb->get_results("SELECT comment_content FROM $wpdb->comments WHERE comment_approved = '1'");
	if ($words) {
		foreach ($words as $word) {
			$comment = strip_tags($word->comment_content);
			$comment = explode(' ', $comment);
			$count = count($comment);
			$totalcount = $count + $oldcount;
			$oldcount = $totalcount;
		}
	} else {
		$totalcount=0;
	}
	echo number_format($totalcount);
}
?>